## org.codehaus.groovy.grails.orm.hibernate.exceptions
Class GrailsHibernateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.orm.hibernate.exceptions.GrailsHibernateException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CouldNotDetermineHibernateDialectException, GrailsHibernateConfigurationException

    public abstract class GrailsHibernateException

extends GrailsException

Base exception class for errors related to Hibernate configuration in Grails.

Since:
  Aug 6, 2005
Author:
  Steven Devijver
See Also:
  Serialized Form

Constructor Summary
`GrailsHibernateException()`
`GrailsHibernateException(String arg0)`
`GrailsHibernateException(String arg0, Throwable arg1)`
`GrailsHibernateException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrailsHibernateException

    public GrailsHibernateException()

### GrailsHibernateException

    public GrailsHibernateException(String arg0)

### GrailsHibernateException

    public GrailsHibernateException(String arg0,
                                    Throwable arg1)

### GrailsHibernateException

    public GrailsHibernateException(Throwable arg0)

Copyright (c) 2005-2009 The Grails project